// chbapitre 5 copie fichier.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"
#include <fstream>

using namespace std;

int main(int argc, char* argv[])
{
	if(argc<3)
		return 1;

	// ouverture des flux
	ifstream src(argv[1]);
	if(!src)
	{
		cerr << "Impossible d'ouvrir " << argv[1] << endl;
		return 2;
	}

	ofstream dst(argv[2]);
	if(!dst)
	{
		cerr << "Impossible d'ouvrir " << argv[2] << endl;
		return 2;	
	}

	// copie
	char c;
	while(! src.eof())
	{
		src >> c;
		dst << c;
	}

	// fermeture
	src.close();
	dst.close();
	
	return 0;
}

